commit ab801b6ec3c463548ff45c1cfeb6e6a7ae92748d
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Oct 21 02:26:07 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 78cf5e3b681..89aa5745dbe 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,11 @@
+2025-10-20  Svante Signell  <svante.signell@gmail.com>
+
+	Backported from master:
+	2025-10-20  Svante Signell  <svante.signell@gmail.com>
+
+	PR go/104290
+	* config/gnu.h (OPTION_GLIBC_P, OPTION_GLIBC): Define.
+
 2025-10-17  Hu, Lin1  <lin1.hu@intel.com>
 
 	PR target/122119
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index bc3f4162f56..85077f46654 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251020
+20251021
diff --git a/gcc/ada/ChangeLog b/gcc/ada/ChangeLog
index fa6a9f2d6ca..b09c0aa94ff 100644
--- a/gcc/ada/ChangeLog
+++ b/gcc/ada/ChangeLog
@@ -1,3 +1,8 @@
+2025-10-20  Eric Botcazou  <ebotcazou@adacore.com>
+
+	PR ada/107536
+	* exp_ch2.adb (Expand_Renaming): Mark the entity as referenced.
+
 2025-10-05  Eric Botcazou  <ebotcazou@adacore.com>
 
 	PR ada/118343
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 29dfb77831e..98d2de2264b 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,7 @@
+2025-10-20  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gnat.dg/renaming18.adb: New test.
+
 2025-10-15  Alice Carlotti  <alice.carlotti@arm.com>
 
 	* gcc.target/aarch64/acle/rwsr-armv8p9.c: Fix pmsdsfr_el1
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index 7e36489c8af..d7886f71b64 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,27 @@
+2025-10-20  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2025-10-20  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/122322
+	* configure.ac (with_newlib) <*-rtems*>: Remove
+	HAVE_SYS_IOCT4YL_H, _GLIBCXX_USE_LINK, _GLIBCXX_USE_READLINK,
+	_GLIBCXX_USE_SYMLINK, _GLIBCXX_USE_TRUNCATE, and
+	_GLIBCXX_USE_FDOPENDIR. Remove duplicates.
+	* configure: Regenerate.
+
+2025-10-20  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2025-09-26  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/122062
+	* include/bits/random.tcc (__detail::__normalize): Use void cast
+	for operands of comma operator.
+	(piecewise_linear_distribution): Likewise.
+	* testsuite/26_numerics/random/piecewise_linear_distribution/cons/122062.cc:
+	New test.
+
 2025-10-15  Chris Johns  <chrisj@rtems.org>
 
 	* configure: Regenerate.

